package com.yidian.shenghuoquan.bmanagercenter.manager

import com.yidian.shenghuoquan.bmanagercenter.constant.Constant

/**
 * author: yinjiacheng
 * date: 8/5/21 6:40 PM
 * description: 生活号管理
 */
object LifeAccountManager {

  /**
   * 获取生活号类型 by tag
   * e.g. 未认证、个人认证、个体工商户认证、普通企业认证、认证审核、认证驳回
   */
  fun getLifeAccountType(tagKey: Int?): LifeAccountType {
    return when (tagKey) {
      Constant.LIFE_ACCOUNT_TAG_COMMON_ENTERPRISE_AUTH -> LifeAccountType.LIFE_ACCOUNT_COMMON_ENTERPRISE_AUTH
      Constant.LIFE_ACCOUNT_TAG_INDIVIDUAL_BUSINESS_AUTH -> LifeAccountType.LIFE_ACCOUNT_INDIVIDUAL_BUSINESS_AUTH
      Constant.LIFE_ACCOUNT_TAG_PERSONAL_AUTH -> LifeAccountType.LIFE_ACCOUNT_PERSONAL_AUTH
      Constant.LIFE_ACCOUNT_TAG_NOT_AUTH -> LifeAccountType.LIFE_ACCOUNT_NOT_AUTH
      Constant.LIFE_ACCOUNT_TAG_AUDIT_UNDER -> LifeAccountType.LIFE_ACCOUNT_AUDIT_UNDER
      Constant.LIFE_ACCOUNT_TAG_AUTH_REJECT -> LifeAccountType.LIFE_ACCOUNT_AUTH_REJECT
      else -> LifeAccountType.LIFE_ACCOUNT_DEFAULT
    }
  }

  /**
   * 生活号类型
   * @param tagKey 唯一标识
   * @param tagText 名称
   */
  enum class LifeAccountType(private val tagKey: Int, private val tagText: String) {
    LIFE_ACCOUNT_DEFAULT(-1, ""),
    LIFE_ACCOUNT_COMMON_ENTERPRISE_AUTH(1, "普通企业"),
    LIFE_ACCOUNT_INDIVIDUAL_BUSINESS_AUTH(2, "个体工商户"),
    LIFE_ACCOUNT_PERSONAL_AUTH(3, "个人认证"),
    LIFE_ACCOUNT_NOT_AUTH(4, "未认证"),
    LIFE_ACCOUNT_AUDIT_UNDER(5, "审核中"),
    LIFE_ACCOUNT_AUTH_REJECT(6, "认证驳回")
  }
}
